#ifndef IDXANIMATIONOWNED_H
#define IDXANIMATIONOWNED_H

namespace DX
{
	struct IDXAnimation;
	/**
		Interface for things owned by animations.
	*/
	struct  IDXAnimationOwned
	{
		virtual					DXMCALL ~IDXAnimationOwned( ) = 0;
		/**
			Get the animation that this belongs to.
			@return An IDXAnimationPtr which is the IDXAnimation to which this belongs.
		*/
		virtual IDXAnimationPtr	DXMCALL GetAnimation( ) const = 0;
	};
}

#endif