#ifndef IDXGROUPOWNED_H
#define IDXGROUPOWNED_H

namespace DX
{
	struct IDXGroup;
	/**
		Interface for things owned by groups. This does NOT include
		child groups. Use GetParent for that.
	*/
	struct  IDXGroupOwned
	{
		virtual				DXMCALL ~IDXGroupOwned( ) = 0;
		/**
			Get the group which this belongs to.
			@return An IDXGroupPtr to which this belongs.
		*/
		virtual IDXGroupPtr	DXMCALL GetGroup( ) const = 0;
	};
}

#endif