#ifndef IDXMATERIALOWNED_H
#define IDXMATERIALOWNED_H

namespace DX
{
	struct IDXMaterial;
	/**
		Interface for things which are owned by an IDXMaterial.
	*/
	struct  IDXMaterialOwned
	{
		virtual					DXMCALL ~IDXMaterialOwned( ) = 0;
		/**
			Get the IDXMaterialPtr this belongs to.
			@return An IDXMaterialPtr to which this belongs.
		*/
		virtual IDXMaterialPtr	DXMCALL GetMaterial( ) const = 0;
	};
}

#endif