#ifndef IDXMESHOWNED_H
#define IDXMESHOWNED_H

namespace DX
{
	struct IDXMesh;
	/**
		Interface for things which are owned by a mesh.
	*/
	struct  IDXMeshOwned
	{
		virtual				DXMCALL ~IDXMeshOwned( ) = 0;
		/**
			Get the IDXMeshPtr to which this belongs.
			@return An IDXMeshPtr which this belongs to.
		*/
		virtual IDXMeshPtr	DXMCALL GetMesh( ) const = 0;
	};
}

#endif