#ifndef IDXMODELPROPERTIESOWNED_H
#define IDXMODELPROPERTIESOWNED_H

namespace DX
{
	struct IDXModelProperties;
	/**
		Interface for things which are owned by IDXObjectProperties
	*/
	struct  IDXModelPropertiesOwned
	{
		virtual						DXMCALL ~IDXModelPropertiesOwned() = 0;
		/**
			Get the IDXModelProperties to which we belong.
			@return An IDXModelPropertiesPtr which is the owner.
		*/
		virtual IDXModelPropertiesPtr DXMCALL GetModelProperties( ) const = 0;
	};
}

#endif