/////////////////////////////////////////////////////////////////////////////////////
// 3DObjectRendererDX.cpp
// Mesh renderer which is based on DX material definitions.
// ----------------------------------------------------------------------------------
// author:		Ralf Westphal
// ----------------------------------------------------------------------------------
// change history:
// ----------------------------------------------------------------------------------
// copyright notice:
//   Copyright (C) 2004-2009 Westphal Data Solution (Ralf Westphal), Germany
//   All Rights Reserved.
//   homepage: www.pnp-terraincreator.com
//   email:    rwe@pnp-terraincreator.com
//
//   This file is part of the PnP TerrainCreator product and
//   may only be used to create PlugIns for PnP TerrainCreator.
/////////////////////////////////////////////////////////////////////////////////////
#include ".\3dobjectrendererdx.h"



// static variables
CTextureResourceManager	C3DObjectRendererDX::s_TextureManager;


C3DObjectRendererDX::C3DObjectRendererDX(IDirect3DDevice9* pD3DDevice)
	: m_pD3DDevice(pD3DDevice)
	, m_iNumFaces(0)
	, m_iNumVertices(0)
{
}

C3DObjectRendererDX::~C3DObjectRendererDX(void)
{
}

