#ifndef DXERROR_H
#define DXERROR_H

namespace DX
{
	enum DXError
	{
		Error_Success = 0,
		Error_OutOfRange,
		Error_OutOfRange2,
		Error_NullParam,
		Error_NullParam2,
		Error_InvalidVertex, 
		Error_InvalidMaterial,
		Error_NotFound,
		Error_Duplicate,
		Error_InvalidParam,
		Error_FileNotFound,
		Error_OpenFileWrite,
		Error_BadXML
	};

	DXMESHEXPORT bool ValidateID(const char* id);
	DXMESHEXPORT void CleanID(char* id);
}

#endif