#ifndef DXMFDECLS_H
#define DXMFDECLS_H

namespace DX
{
	//Forward declaration and typedefs for structs used in public interface.
#if !defined( DXMESHAPI_DECLARE )
#define DXMESHAPI_DECLARE( c, n ) c n; typedef n##* n##Ptr
#endif

#if !defined( DXMESHAPI_DECLAREARRAY )
#define DXMESHAPI_DECLAREARRAY( c ) typedef c##Ptr* c##Array
#endif

	DXMESHAPI_DECLARE( struct, IDXAnimation );
	DXMESHAPI_DECLARE( struct, IDXAnimationKeyframe );
	DXMESHAPI_DECLARE( struct, IDXAnimationKey );
	DXMESHAPI_DECLARE( struct, IDXRotationKey );
	DXMESHAPI_DECLARE( struct, IDXScaleKey );
	DXMESHAPI_DECLARE( struct, IDXTranslationKey );
	DXMESHAPI_DECLARE( struct, IDXGroupAnim );

	DXMESHAPI_DECLARE( struct, IDXFile );
	DXMESHAPI_DECLARE( struct, IDXFileBinding );
	DXMESHAPI_DECLARE( struct, IDXFileFloat32 );
	DXMESHAPI_DECLARE( struct, IDXFileInt32 );
	DXMESHAPI_DECLARE( struct, IDXFileResource );
	DXMESHAPI_DECLARE( struct, IDXFileSystem );

	DXMESHAPI_DECLARE( struct, IDXGroup );

	DXMESHAPI_DECLARE( struct, IDXLightMap );
	DXMESHAPI_DECLARE( struct, IDXMaterialMap );
	DXMESHAPI_DECLARE( struct, IDXMultiMap );
	DXMESHAPI_DECLARE( struct, IDXSurfaceDetail );
	DXMESHAPI_DECLARE( struct, IDXSurfaceDetailXYZ );
	DXMESHAPI_DECLARE( struct, IDXSurfaceDetailXYZElement );

	DXMESHAPI_DECLARE( struct, IDXMaterial );

	DXMESHAPI_DECLARE( struct, IDXFace );
	DXMESHAPI_DECLARE( struct, IDXMesh );
	DXMESHAPI_DECLARE( struct, IDXVertex );

	DXMESHAPI_DECLARE( struct, IDXTag );
	DXMESHAPI_DECLARE( struct, IDXObjectPropAttribute );
	DXMESHAPI_DECLARE( struct, IDXObjectProp );
	DXMESHAPI_DECLARE( struct, IDXModelInfo );
	DXMESHAPI_DECLARE( struct, IDXModelProperties );
	DXMESHAPI_DECLARE( struct, IDXUserTag );
	DXMESHAPI_DECLARE( struct, IDXModel );

	DXMESHAPI_DECLARE( struct, IDXAnimationOwned );
	DXMESHAPI_DECLARE( struct, IDXFileSystemOwned );
	DXMESHAPI_DECLARE( struct, IDXGroupAnimOwned );
	DXMESHAPI_DECLARE( struct, IDXGroupOwned );
	DXMESHAPI_DECLARE( struct, IDXMaterialOwned );
	DXMESHAPI_DECLARE( struct, IDXMeshOwned );
	DXMESHAPI_DECLARE( struct, IDXModelInfoOwned );
	DXMESHAPI_DECLARE( struct, IDXModelOwned );
	DXMESHAPI_DECLARE( struct, IDXModelPropertiesOwned );
	DXMESHAPI_DECLARE( struct, IDXObjectPropOwned );
	DXMESHAPI_DECLARE( struct, IDXSkinOwned );

	DXMESHAPI_DECLARE( struct, IDXSkin );
	DXMESHAPI_DECLARE( struct, IDXSkinEntry );
	DXMESHAPI_DECLARE( struct, IDXSkinVert );

	DXMESHAPI_DECLARE( struct, IDXGetGroupResult );
	DXMESHAPI_DECLARE( struct, IDXHasFileBinding );
	DXMESHAPI_DECLARE( struct, IDXIdentified );
	DXMESHAPI_DECLARE( struct, IDXUserData );


	DXMESHAPI_DECLAREARRAY( IDXGroupAnim );
	DXMESHAPI_DECLAREARRAY( IDXVertex );
	DXMESHAPI_DECLAREARRAY( IDXRotationKey );
	DXMESHAPI_DECLAREARRAY( IDXScaleKey );
	DXMESHAPI_DECLAREARRAY( IDXTranslationKey );
	DXMESHAPI_DECLAREARRAY( IDXSkinEntry );
	DXMESHAPI_DECLAREARRAY( IDXSkinVert );
	DXMESHAPI_DECLAREARRAY( IDXTag );
	DXMESHAPI_DECLAREARRAY( IDXSurfaceDetailXYZElement );
	DXMESHAPI_DECLAREARRAY( IDXAnimationKeyframe );
	DXMESHAPI_DECLAREARRAY( IDXFile );
	DXMESHAPI_DECLAREARRAY( IDXMaterial );
	DXMESHAPI_DECLAREARRAY( IDXAnimation );
	DXMESHAPI_DECLAREARRAY( IDXUserTag );
	DXMESHAPI_DECLAREARRAY( IDXObjectPropAttribute );
	DXMESHAPI_DECLAREARRAY( IDXGroup );
}

#endif