#ifndef DXMESHAPI_H
#define DXMESHAPI_H

/**
	DXMeshAPI and all component files Copyright  2008 - 2009 WorldWeaver Ltd	
*/

#ifndef DXMCALL
#define DXMCALL __stdcall
#endif

#include "DXMFDecls.h"

#include "Constants.h"
#include "DXError.h"
#include "DXColor.h"
#include "DXTypes.h"

#include "IDXUserData.h"

#include "IDXModelOwned.h"
#include "IDXAnimationOwned.h"
#include "IDXMeshOwned.h"
#include "IDXSkinOwned.h"
#include "IDXMaterialOwned.h"
#include "IDXGroupOwned.h"
#include "IDXModelInfoOwned.h"
#include "IDXModelPropertiesOwned.h"
#include "IDXObjectPropOwned.h"
#include "IDXGroupAnimOwned.h"
#include "IDXSkinEntryOwned.h"
#include "IDXFileSystemOwned.h"

#include "IDXGetGroupResult.h"
#include "IDXUserTag.h"

#include "IDXFile.h"
#include "IDXFileFloat32.h"
#include "IDXFileInt32.h"
#include "IDXFileResource.h"
#include "IDXFileSystem.h"
#include "IDXFileBinding.h"
#include "IDXHasFileBinding.h"

#include "IDXVertex.h"
#include "IDXFace.h"
#include "IDXSkinVert.h"
#include "IDXSkinEntry.h"
#include "IDXSkin.h"
#include "IDXMesh.h"
#include "IDXGroup.h"

#include "IDXMaterialMap.h"
#include "IDXLightMap.h"
#include "IDXMultiMap.h"

#include "IDXSurfaceDetail.h"
#include "IDXSurfaceDetailXYZElement.h"
#include "IDXSurfaceDetailXYZ.h"
#include "IDXMaterial.h"

#include "IDXAnimationKey.h"
#include "IDXTranslationKey.h"
#include "IDXRotationKey.h"
#include "IDXScaleKey.h"
#include "IDXGroupAnim.h"

#include "IDXAnimationKeyframe.h"
#include "IDXAnimation.h"
#include "IDXObjectPropAttribute.h"
#include "IDXObjectProperty.h"
#include "IDXTag.h"
#include "IDXModelInfo.h"
#include "IDXModelProperties.h"
#include "IDXModel.h"

#endif