#ifndef IDXHASFILEBINDING_H
#define IDXHASFILEBINDING_H

namespace DX
{
	/**
		Implemented by things that need to output data to the zip on model 
		save.
	*/
	struct IDXHasFileBinding
	{
		virtual DXMCALL ~IDXHasFileBinding( ) = 0;
		/**
			Get the file bindings for this object
		*/
		virtual IDXFileBindingPtr DXMCALL GetFileBinding( ) const = 0;
	};
}

#endif