#ifndef IDXMODELINFOOWNED_H
#define IDXMODELINFOOWNED_H

namespace DX
{
	struct IDXModelInfo;
	/**
		Interface for things that are owned by IDXModelInfo
	*/
	struct  IDXModelInfoOwned
	{
		virtual					DXMCALL ~IDXModelInfoOwned() = 0;
		/**
			Get the IDXModelInfo this belongs to.
			@return An IDXModelInfoPtr which is the owner.
		*/
		virtual IDXModelInfoPtr	DXMCALL GetModelInfo( ) const = 0;
	};
}

#endif