#ifndef IDXMODELOWNED_H
#define IDXMODELOWNED_H

namespace DX
{
	struct IDXModel;
	/**
		Interface for things which are owned by models.
	*/
	struct  IDXModelOwned
	{
		virtual				DXMCALL ~IDXModelOwned() = 0;
		/**
			Get the model which this resource belongs to.
			@return An IDXModelPtr
		*/
		virtual IDXModelPtr	DXMCALL GetModel( ) const = 0;
	};
}

#endif