#ifndef IDXOBJECTPROPOWNED_H
#define IDXOBJECTPROPOWNED_H

namespace DX
{
	struct IDXObjectProp;
	/**
		Interface for things which are owned by IDXObjectProp.
	*/
	struct  IDXObjectPropOwned
	{
		virtual					DXMCALL ~IDXObjectPropOwned() = 0;
		/**
			Get the IDXObjectProp which this resource belongs to.
			@return An IDXObjectPropPtr which is the owner.
		*/
		virtual IDXObjectPropPtr	DXMCALL GetObjectProp() const = 0;
	};
}

#endif