#ifndef IDXSKINOWNED_H
#define IDXSKINOWNED_H

namespace DX
{
	struct IDXSkin;
	/**
		Interface for things owned by skins.
	*/
	struct  IDXSkinOwned
	{
		virtual				DXMCALL ~IDXSkinOwned( ) = 0;
		/**
			Get this skin this belongs to.
			@return An IDXSkinPtr which is the skin this belongs to.
		*/
		virtual IDXSkinPtr	DXMCALL GetSkin( ) const = 0;
	};
}

#endif